Crego APIs
APIs Doc
Home Page
Web Apps
Web Apps
  • Jupiter
  • Venus
APIs Doc
Home Page
Web Apps
Web Apps
  • Jupiter
  • Venus
  1. Runner
  • Back to home
  • Flow
  • Runner
    • Create Runner
      POST
    • Execute Runner
      POST
    • Get Runner
      GET
    • List Runners
      GET
    • Runner activity
      GET
    • Runner Store
      GET
    • Get Current Nodes
      GET
    • Create and Execute Runner
      POST
  • Customer Auth
    • Refresh Token
      POST
    • Send OTP
      POST
    • Verify OTP
      POST
    • Auth Ping
      GET
    • Exchange Token
      POST
  • Store
    • Get Store
      GET
    • List Store
      GET
  • Document
    • Create Document
      POST
    • Get Storage Document
      GET
    • Add files to document
      POST
    • Download files
      GET
  • CheckList
    • CheckList Template
      • Create Checklist Template
      • Get CheckList Template
      • List CheckList Template
      • Update CheckList Template
      • Delete CheckList Template
    • Workflow CheckList
      • Get checklist at runner stage
      • Update Check List Item
      • List Checklist
      • Get Checklist
  • Approvals
    • Approval List
      GET
    • Pending Approval
      GET
    • Create Approvals
      POST
    • Get Approval
      GET
    • Update Approvals
      PUT
    • Current user approval list
      GET
    • Get approval request by resource
      GET
    • Approve approval
      POST
    • Reject Approval
      POST
  1. Runner

List Runners

Developing
preprod
https://preprod.api.crego.io
preprod
https://preprod.api.crego.io
GET
/v1/rego/runners/
Last modified:2024-12-01 10:40:13

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://preprod.api.crego.io/v1/rego/runners/?page=1&page_size=15' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "count": 0,
    "current_page": 0,
    "page_size": 0,
    "results": [
        {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "ref_id": "ref12345",
            "flow_id": "123e4567-e89b-12d3-a456-426614174000",
            "design_id": "123e4567-e89b-12d3-a456-426614174000",
            "visited_nodes": {
                "property1": [
                    {
                        "name": "string",
                        "action": "string",
                        "user_id": "string",
                        "timestamp": "string",
                        "data": {
                            "property1": "string",
                            "property2": "string"
                        }
                    }
                ],
                "property2": [
                    {
                        "name": "string",
                        "action": "string",
                        "user_id": "string",
                        "timestamp": "string",
                        "data": {
                            "property1": "string",
                            "property2": "string"
                        }
                    }
                ]
            },
            "created_at": "2023-01-01T00:00:00Z",
            "created_by": "string",
            "updated_by": "string",
            "updated_at": "2023-01-01T01:00:00Z",
            "fields": {}
        }
    ]
}
Modified at 2024-12-01 10:40:13
Previous
Get Runner
Next
Runner activity
Built with